Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required
Required string length: 8 - 128

Path Parameters

paymentID
string<uuid>
required

Body

application/json
amountMinor
integer<int64>
required
Required range: x >= 0
currency
string
required
Pattern: ^[A-Z]{3}$
reason
string
required
receiptMetadata
object

Response

Refund recorded

amountMinor
integer<int64>
required
Required range: x >= 0
currency
string
required
Pattern: ^[A-Z]{3}$
id
string<uuid>
status
string
providerReference
string | null